Skip to main content
GET
/
valorant
/
v2
/
match
/
{match_id}
Get match details (v2)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/match/{match_id}
import requests

url = "https://api.henrikdev.xyz/valorant/v2/match/{match_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/match/{match_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "coaches": [
      {
        "puuid": "<string>",
        "team": "<string>"
      }
    ],
    "kills": [
      {
        "assistants": [
          {
            "assistant_display_name": "<string>",
            "assistant_puuid": "<string>",
            "assistant_team": "<string>"
          }
        ],
        "damage_weapon_assets": {
          "display_icon": "<string>",
          "killfeed_icon": "<string>"
        },
        "damage_weapon_id": "<string>",
        "kill_time_in_match": 1,
        "kill_time_in_round": 1,
        "killer_display_name": "<string>",
        "killer_puuid": "<string>",
        "killer_team": "<string>",
        "player_locations_on_kill": [
          {
            "location": {
              "x": 123,
              "y": 123
            },
            "player_display_name": "<string>",
            "player_puuid": "<string>",
            "player_team": "<string>",
            "view_radians": 123
          }
        ],
        "round": 1,
        "secondary_fire_mode": true,
        "victim_death_location": {
          "x": 123,
          "y": 123
        },
        "victim_display_name": "<string>",
        "victim_puuid": "<string>",
        "victim_team": "<string>",
        "damage_weapon_name": "<string>"
      }
    ],
    "metadata": {
      "game_length": 1,
      "game_start": 1,
      "game_start_patched": "<string>",
      "game_version": "<string>",
      "matchid": "<string>",
      "mode_id": "<string>",
      "platform": "<string>",
      "premier_info": {
        "matchup_id": "<string>",
        "tournament_id": "<string>"
      },
      "rounds_played": 1,
      "season_id": "<string>",
      "cluster": "<string>",
      "map": "<string>",
      "mode": "<string>",
      "queue": "<string>",
      "region": "<string>"
    },
    "observers": [
      {
        "level": 1,
        "name": "<string>",
        "party_id": "<string>",
        "platform": {
          "os": {
            "name": "<string>",
            "version": "<string>"
          },
          "type": "<string>"
        },
        "player_card": "<string>",
        "player_title": "<string>",
        "puuid": "<string>",
        "session_playtime": {
          "milliseconds": 1,
          "minutes": 1,
          "seconds": 1
        },
        "tag": "<string>",
        "team": "<string>"
      }
    ],
    "players": {
      "all_players": [
        {
          "ability_casts": {
            "c_cast": 1,
            "e_cast": 1,
            "q_cast": 1,
            "x_cast": 1
          },
          "assets": {
            "agent": {
              "bust": "<string>",
              "full": "<string>",
              "killfeed": "<string>",
              "small": "<string>"
            },
            "card": {
              "large": "<string>",
              "small": "<string>",
              "wide": "<string>"
            }
          },
          "behavior": {
            "afk_rounds": 123,
            "friendly_fire": {
              "incoming": 123,
              "outgoing": 123
            },
            "rounds_in_spawn": 123
          },
          "currenttier": 1,
          "currenttier_patched": "<string>",
          "damage_made": 123,
          "damage_received": 123,
          "economy": {
            "loadout_value": {
              "average": 123,
              "overall": 123
            },
            "spent": {
              "average": 123,
              "overall": 123
            }
          },
          "level": 1,
          "name": "<string>",
          "party_id": "<string>",
          "platform": {
            "os": {
              "name": "<string>",
              "version": "<string>"
            },
            "type": "<string>"
          },
          "player_card": "<string>",
          "player_title": "<string>",
          "puuid": "<string>",
          "session_playtime": {
            "milliseconds": 1,
            "minutes": 1,
            "seconds": 1
          },
          "stats": {
            "assists": 1,
            "bodyshots": 1,
            "deaths": 1,
            "headshots": 1,
            "kills": 1,
            "legshots": 1,
            "score": 123
          },
          "tag": "<string>",
          "team": "<string>",
          "character": "<string>"
        }
      ],
      "blue": [
        {
          "ability_casts": {
            "c_cast": 1,
            "e_cast": 1,
            "q_cast": 1,
            "x_cast": 1
          },
          "assets": {
            "agent": {
              "bust": "<string>",
              "full": "<string>",
              "killfeed": "<string>",
              "small": "<string>"
            },
            "card": {
              "large": "<string>",
              "small": "<string>",
              "wide": "<string>"
            }
          },
          "behavior": {
            "afk_rounds": 123,
            "friendly_fire": {
              "incoming": 123,
              "outgoing": 123
            },
            "rounds_in_spawn": 123
          },
          "currenttier": 1,
          "currenttier_patched": "<string>",
          "damage_made": 123,
          "damage_received": 123,
          "economy": {
            "loadout_value": {
              "average": 123,
              "overall": 123
            },
            "spent": {
              "average": 123,
              "overall": 123
            }
          },
          "level": 1,
          "name": "<string>",
          "party_id": "<string>",
          "platform": {
            "os": {
              "name": "<string>",
              "version": "<string>"
            },
            "type": "<string>"
          },
          "player_card": "<string>",
          "player_title": "<string>",
          "puuid": "<string>",
          "session_playtime": {
            "milliseconds": 1,
            "minutes": 1,
            "seconds": 1
          },
          "stats": {
            "assists": 1,
            "bodyshots": 1,
            "deaths": 1,
            "headshots": 1,
            "kills": 1,
            "legshots": 1,
            "score": 123
          },
          "tag": "<string>",
          "team": "<string>",
          "character": "<string>"
        }
      ],
      "red": [
        {
          "ability_casts": {
            "c_cast": 1,
            "e_cast": 1,
            "q_cast": 1,
            "x_cast": 1
          },
          "assets": {
            "agent": {
              "bust": "<string>",
              "full": "<string>",
              "killfeed": "<string>",
              "small": "<string>"
            },
            "card": {
              "large": "<string>",
              "small": "<string>",
              "wide": "<string>"
            }
          },
          "behavior": {
            "afk_rounds": 123,
            "friendly_fire": {
              "incoming": 123,
              "outgoing": 123
            },
            "rounds_in_spawn": 123
          },
          "currenttier": 1,
          "currenttier_patched": "<string>",
          "damage_made": 123,
          "damage_received": 123,
          "economy": {
            "loadout_value": {
              "average": 123,
              "overall": 123
            },
            "spent": {
              "average": 123,
              "overall": 123
            }
          },
          "level": 1,
          "name": "<string>",
          "party_id": "<string>",
          "platform": {
            "os": {
              "name": "<string>",
              "version": "<string>"
            },
            "type": "<string>"
          },
          "player_card": "<string>",
          "player_title": "<string>",
          "puuid": "<string>",
          "session_playtime": {
            "milliseconds": 1,
            "minutes": 1,
            "seconds": 1
          },
          "stats": {
            "assists": 1,
            "bodyshots": 1,
            "deaths": 1,
            "headshots": 1,
            "kills": 1,
            "legshots": 1,
            "score": 123
          },
          "tag": "<string>",
          "team": "<string>",
          "character": "<string>"
        }
      ]
    },
    "rounds": [
      {
        "bomb_defused": true,
        "bomb_planted": true,
        "defuse_events": {
          "defuse_location": {
            "x": 123,
            "y": 123
          },
          "defuse_time_in_round": 1,
          "defused_by": {
            "display_name": "<string>",
            "puuid": "<string>",
            "team": "<string>"
          },
          "player_locations_on_defuse": [
            {
              "location": {
                "x": 123,
                "y": 123
              },
              "player_display_name": "<string>",
              "player_puuid": "<string>",
              "player_team": "<string>",
              "view_radians": 123
            }
          ]
        },
        "end_type": "<string>",
        "plant_events": {
          "plant_location": {
            "x": 123,
            "y": 123
          },
          "plant_site": "<string>",
          "plant_time_in_round": 1,
          "planted_by": {
            "display_name": "<string>",
            "puuid": "<string>",
            "team": "<string>"
          },
          "player_locations_on_plant": [
            {
              "location": {
                "x": 123,
                "y": 123
              },
              "player_display_name": "<string>",
              "player_puuid": "<string>",
              "player_team": "<string>",
              "view_radians": 123
            }
          ]
        },
        "player_stats": [
          {
            "ability_casts": {
              "c_casts": 1,
              "e_casts": 1,
              "q_casts": 1,
              "x_casts": 1
            },
            "bodyshots": 1,
            "damage": 1,
            "damage_events": [
              {
                "bodyshots": 1,
                "damage": 1,
                "headshots": 1,
                "legshots": 1,
                "receiver_display_name": "<string>",
                "receiver_puuid": "<string>",
                "receiver_team": "<string>"
              }
            ],
            "economy": {
              "armor": {
                "assets": {
                  "display_icon": "<string>"
                },
                "id": "<string>",
                "name": "<string>"
              },
              "loadout_value": 1,
              "remaining": 1,
              "spent": 123,
              "weapon": {
                "assets": {
                  "display_icon": "<string>",
                  "killfeed_icon": "<string>"
                },
                "id": "<string>",
                "name": "<string>"
              }
            },
            "headshots": 1,
            "kill_events": [
              {
                "assistants": [
                  {
                    "assistant_display_name": "<string>",
                    "assistant_puuid": "<string>",
                    "assistant_team": "<string>"
                  }
                ],
                "damage_weapon_assets": {
                  "display_icon": "<string>",
                  "killfeed_icon": "<string>"
                },
                "damage_weapon_id": "<string>",
                "kill_time_in_match": 1,
                "kill_time_in_round": 1,
                "killer_display_name": "<string>",
                "killer_puuid": "<string>",
                "killer_team": "<string>",
                "player_locations_on_kill": [
                  {
                    "location": {
                      "x": 123,
                      "y": 123
                    },
                    "player_display_name": "<string>",
                    "player_puuid": "<string>",
                    "player_team": "<string>",
                    "view_radians": 123
                  }
                ],
                "secondary_fire_mode": true,
                "victim_death_location": {
                  "x": 123,
                  "y": 123
                },
                "victim_display_name": "<string>",
                "victim_puuid": "<string>",
                "victim_team": "<string>",
                "damage_weapon_name": "<string>"
              }
            ],
            "kills": 1,
            "legshots": 1,
            "player_display_name": "<string>",
            "player_puuid": "<string>",
            "player_team": "<string>",
            "score": 123,
            "stayed_in_spawn": true,
            "was_afk": true,
            "was_penalized": true
          }
        ],
        "winning_team": "<string>"
      }
    ],
    "teams": {
      "blue": {
        "has_won": true,
        "roster": {
          "customization": {
            "icon": "<string>",
            "image": "<string>",
            "primary_color": "<string>",
            "secondary_color": "<string>",
            "tertiary_color": "<string>"
          },
          "id": "<string>",
          "members": [
            "<string>"
          ],
          "name": "<string>",
          "tag": "<string>"
        },
        "rounds_lost": 1,
        "rounds_won": 1
      },
      "red": {
        "has_won": true,
        "roster": {
          "customization": {
            "icon": "<string>",
            "image": "<string>",
            "primary_color": "<string>",
            "secondary_color": "<string>",
            "tertiary_color": "<string>"
          },
          "id": "<string>",
          "members": [
            "<string>"
          ],
          "name": "<string>",
          "tag": "<string>"
        },
        "rounds_lost": 1,
        "rounds_won": 1
      }
    }
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

match_id
string
required

Match UUID

Response

Match details retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0